Package org.drinkless.tdlib

# Class TdApi.BusinessConnection

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessConnection

Enclosing class:
  `TdApi`

public static class TdApi.BusinessConnection extends TdApi.Object
Describes a connection of the bot with a business account.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the connection was established.
  `String`
  `id`
  Unique identifier of the connection.
  `boolean`
  `isEnabled`
  True, if the connection is enabled; false otherwise.
  `TdApi.BusinessBotRights`
  `rights`
  Rights of the bot; may be null if the connection was disabled.
  `long`
  `userChatId`
  Chat identifier of the private chat with the user.
  `long`
  `userId`
  Identifier of the business user who created the connection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessConnection()`
  Describes a connection of the bot with a business account.
  `BusinessConnection(String id, long userId, long userChatId, int date, TdApi.BusinessBotRights rights, boolean isEnabled)`
  Describes a connection of the bot with a business account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the connection.

  - ### userId

    public long userId
    Identifier of the business user who created the connection.

  - ### userChatId

    public long userChatId
    Chat identifier of the private chat with the user.

  - ### date

    public int date
    Point in time (Unix timestamp) when the connection was established.

  - ### rights

    @Nullable public TdApi.BusinessBotRights rights
    Rights of the bot; may be null if the connection was disabled.

  - ### isEnabled

    public boolean isEnabled
    True, if the connection is enabled; false otherwise.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessConnection

    public BusinessConnection()
    Describes a connection of the bot with a business account.

  - ### BusinessConnection

    public BusinessConnection(String id, long userId, long userChatId, int date, TdApi.BusinessBotRights rights, boolean isEnabled)
    Describes a connection of the bot with a business account.
    Parameters:
      `id` - Unique identifier of the connection.
      `userId` - Identifier of the business user who created the connection.
      `userChatId` - Chat identifier of the private chat with the user.
      `date` - Point in time (Unix timestamp) when the connection was established.
      `rights` - Rights of the bot; may be null if the connection was disabled.
      `isEnabled` - True, if the connection is enabled; false otherwise.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR